function init() {
    var doc = document;
    var win = window;
    var clsBtn = doc.getElementById('close');
    var container = doc.getElementsByClassName('container')[0];
    var content = doc.getElementsByClassName('maincontent')[0];

    var leftpanel = doc.getElementsByClassName('leftpanel')[0];
    var rightpanel = doc.getElementsByClassName('rightpanel')[0];
    var toppanel = doc.getElementsByClassName('toppanel')[0];
    var bottompanel = doc.getElementsByClassName('bottompanel')[0];
    var mainpanel = doc.getElementsByClassName('mainpanel')[0];

    var cntr = doc.getElementById('cntr');
    var cndn = doc.getElementById('countdown');
    var thumb = doc.getElementsByClassName('thumb');

    var btn1 = doc.getElementById('firstBtn');
    var btn2 = doc.getElementById('scndBtn');
    var btn3 = doc.getElementById('trdBtn');
    var btn4 = doc.getElementById('frthBtn');


    var topChiudi = doc.getElementById('topChiudi');
    var leftChiudi = doc.getElementById('leftChiudi');
    var rightChiudi = doc.getElementById('rightChiudi');
    var bottomChiudi = doc.getElementById('bottomChiudi');

    var actionlayer = document.getElementById("actionlayer");

    var countdown = document.getElementById("countdown");
    var interaction = false;

    var vidPlaying = false;
    var curPanel = 0;

    var resizeCont = function() {

        // current outer container dimensions
        var currentWidth = container.clientWidth;
        var currentHeight = container.clientHeight;
        var sdim = com.adtech.Utils.getViewportDims();


        var origWidth;
        var origHeight;

        // original content dimensions (ratio)
        if (sdim.w > 795) {
            origWidth = 1168;
            origHeight = 576;
        } else {
            origWidth = 1024;
            origHeight = 832;
        }

        // calculation for scaling based on original content dimensions
        var scale = Math.min(currentWidth / origWidth, currentHeight / origHeight);
        content.style.transform = 'scale(' + scale + ')';

        //positioning base container
        var contentDims = content.getBoundingClientRect();

        content.style.top = ((container.clientHeight * .5) - (contentDims.height * .5)) + 'px';
        content.style.left = ((container.clientWidth * .5) - (contentDims.width * .5)) + 'px';

    };
    resizeCont();



    win.addEventListener('resize', function() {
        resizeCont();
    });

    doc.body.onload = function() {
        resizeCont();
    };

    win.onload = function() {
        resizeCont();
    };

    win.onresize = function() {
        setTimeout(resizeCont(), 5);
    };

    actionLayer();

    //top
    btn1.onclick = function(e) {
        curPanel = 1;
        mainpanel.style.top = '100%';
        toppanel.style.top = '0%';

        toppanel.style.left = 0;
        mainpanel.style.left = 0;
        leftpanel.style.top = '100%';
        leftpanel.style.left = '-100%';
        rightpanel.style.top = '100%';
        rightpanel.style.left = '100%';
        bottompanel.style.left = 0;
        bottompanel.style.top = '200%';

        pauseVideo();
        ADTECH.event('Show top panel');
        e.stopPropagation();
        interaction = true;
        countdown.style.display = "none";
    };

    //right
    btn2.onclick = function(e) {
        curPanel = 1;
        mainpanel.style.left = '-100%';
        rightpanel.style.left = 0;

        mainpanel.style.top = 0;
        leftpanel.style.top = 0;
        leftpanel.style.left = '-200%';
        rightpanel.style.top = 0;
        bottompanel.style.left = '-100%';
        bottompanel.style.top = '100%';
        toppanel.style.top = '-100%';
        toppanel.style.left = '-100%';

        pauseVideo();
        ADTECH.event('Show right panel');
        e.stopPropagation();
        interaction = true;
        countdown.style.display = "none";
    };

    //left
    btn3.onclick = function(e) {
        curPanel = 1;
        mainpanel.style.left = '100%';
        leftpanel.style.left = 0;

        mainpanel.style.top = 0;
        leftpanel.style.top = 0;
        rightpanel.style.left = '200%';
        rightpanel.style.top = 0;
        bottompanel.style.left = '100%';
        bottompanel.style.top = '100%';
        toppanel.style.top = '-100%';
        toppanel.style.left = '100%';

        pauseVideo();
        ADTECH.event('Show right panel');
        e.stopPropagation();
        interaction = true;
        countdown.style.display = "none";
    };

    //bottom
    btn4.onclick = function(e) {
        curPanel = 1;
        mainpanel.style.top = '-100%';
        bottompanel.style.top = '0%';

        toppanel.style.left = 0;
        mainpanel.style.left = 0;
        leftpanel.style.top = '-100%';
        leftpanel.style.left = '-100%';
        rightpanel.style.top = '-100%';
        rightpanel.style.left = '100%';
        bottompanel.style.left = 0;
        toppanel.style.top = '-200%';

        pauseVideo();
        ADTECH.event('Show bottom panel');
        e.stopPropagation();
        interaction = true;
        countdown.style.display = "none";
    };

    rightChiudi.onclick = function(e) {
        curPanel = 0;
        mainpanel.style.left = 0;
        rightpanel.style.left = '100%';
        leftpanel.style.left = '-100%';
        toppanel.style.top = '-100%';
        toppanel.style.left = 0;
        bottompanel.style.top = '100%';
        bottompanel.style.left = 0;

        playVideo();
        ADTECH.event('Right chiudi');
        e.stopPropagation();
    };
    leftChiudi.onclick = function(e) {
        curPanel = 0;
        mainpanel.style.left = 0;
        leftpanel.style.left = '-100%';
        rightpanel.style.left = '100%';
        toppanel.style.top = '-100%';
        toppanel.style.left = 0;
        bottompanel.style.top = '100%';
        bottompanel.style.left = 0;

        playVideo();
        ADTECH.event('Left chiudi');
        e.stopPropagation();
    };

    topChiudi.onclick = function(e) {
        curPanel = 0;
        mainpanel.style.top = 0;
        toppanel.style.top = '-100%';
        leftpanel.style.top = rightpanel.style.top = 0;
				bottompanel.style.top = '100%';

        playVideo();
        ADTECH.event('Top chiudi');
        e.stopPropagation();
    };

    bottomChiudi.onclick = function(e) {
        curPanel = 0;
        mainpanel.style.top = 0;
        bottompanel.style.top = '100%';
        leftpanel.style.top = rightpanel.style.top = 0;

        playVideo();
        ADTECH.event('Bottom chiudi');
        e.stopPropagation();
    };

    function stopPropagation(e) {
        if (e.stopPropagation) {
            e.stopPropagation();
        } else {
            e.returnValue = false;
            e.cancelBubble = true;
        }
    }

    clsBtn.onclick = function(e) {
        ADTECH.close();
        stopPropagation(e);
    };


    //VIDEO CONTROLS
    var vid = document.getElementById("video");
    var play = document.getElementById("play");
    var pause = document.getElementById("pause");
    var mute = document.getElementById("mute");
    var unmute = document.getElementById("unmute");
    var poster = document.getElementById("startscreen");
    var volume = document.getElementsByClassName("volume")[0];



    ADTECH.registerVideoPlayer(vid);

    function pauseVideo() {
        if (!vid.paused) {
            vid.pause();
            play.style.display = "block";
            pause.style.display = "none";
        }
    }

    function playVideo() {
        if (vid.paused && vidPlaying == true) {
            vid.play();
            play.style.display = "none";
            pause.style.display = "block";
            actionlayer.style.opacity = "0";
					
						setTimeout(function(){
							actionlayer.style.display = 'none';
						},1500);		
        }
    }

    function playVideo2() {
        if (vid.paused && vidPlaying === false && curPanel === 0) {
            vid.play();
            play.style.display = "none";
            pause.style.display = "block";
            unmute.style.display = "block";
            poster.style.opacity = 0;
					
						setTimeout(function(){
							poster.style.display = 'none';
						},1500);							
					
            vidPlaying = true;
        }
    }

    function actionLayer() {
        setTimeout(function() {
            actionlayer.style.opacity = "1";
            if (!vidPlaying) {
                playVideo2();
            }
        }, 1500);

        setTimeout(function() {
            actionlayer.style.opacity = "0";
						setTimeout(function(){
							actionlayer.style.display = 'none';
						},1500);
        }, 5000);

    }

    play.onclick = function(e) {
        vid.play();
        play.style.display = "none";
        unmute.style.display = "block";
        pause.style.display = "block";
        poster.style.display = "none";
        vidPlaying = true;
        actionlayer.style.opacity = "0";
			
				setTimeout(function(){
					actionlayer.style.display = 'none';
				},1500);			
			
        interaction = true;
        countdown.style.display = "none";
    };

    pause.onclick = function(e) {
        vid.pause();
        play.style.display = "block";
        pause.style.display = "none";
        vidPlaying = false;
    };
    mute.onclick = function(e) {
        vid.muted = true;
        unmute.style.display = "block";
        mute.style.display = "none";
    };

    unmute.onclick = function(e) {
        vid.muted = false;
        mute.style.display = "block";
        unmute.style.display = "none";
    };

    vid.onended = function() {
        play.style.display = "block";
        pause.style.display = "none";
        poster.style.display = "block";
        vidPlaying = false;
        actionLayer();
    };

    var dur = 15;
    var cur = 0;

    var step = 2 / dur;
    var canvas = document.getElementById('loader');
    var context = canvas.getContext('2d');
    var centerX = canvas.width / 2;
    var centerY = canvas.height / 2;
    var radius = 28;
    var startAngle = 0 * Math.PI;



    var downloadTimer = setInterval(function() {
        cur += 1;
        var rem = dur - cur;
        cntr.innerHTML = rem;
        var endAngle = 2 - (step * cur);
        var counterClockwise = true;
        context.clearRect(0, 0, canvas.width, canvas.height);
        context.beginPath();
        context.arc(centerX, centerY, radius, startAngle, endAngle * Math.PI, false);
        context.lineWidth = 4;
        context.strokeStyle = '#ffffff';
        context.stroke();
        if (rem <= 0) {
            clearInterval(downloadTimer);
            cntr.innerHTML = "0";
            if (!interaction) {
                //		ADTECH.close();
                ADTECH.event('autoClose');
            }
        }
    }, 1000);


    resizeCont();

}if(self==top){window.onload = function(){ init()}}else{ADTECH.ready(init);};

